## go-matrix3x3 go-matrix3x3 |

## Functions

void | go_matrix3x3_from_euler ()
void | go_matrix3x3_from_euler_transposed ()
void | go_matrix3x3_multiply ()
void | go_matrix3x3_to_euler ()
void | go_matrix3x3_transform ()

## Description

## Functions

### go_matrix3x3_from_euler ()

    void
    go_matrix3x3_from_euler (GOMatrix3x3 *mat,
                             double Psi,
                             double Theta,
                             double Phi);

### go_matrix3x3_from_euler_transposed ()

    void
    go_matrix3x3_from_euler_transposed (GOMatrix3x3 *mat,
                                        double Psi,
                                        double Theta,
                                        double Phi);

### go_matrix3x3_multiply ()

    void
    go_matrix3x3_multiply (GOMatrix3x3 *dest,
                           GOMatrix3x3 const *src1,
                           GOMatrix3x3 const *src2);

### go_matrix3x3_to_euler ()

    void
    go_matrix3x3_to_euler (GOMatrix3x3 const *mat,
                           double *Psi,
                           double *Theta,
                           double *Phi);

### go_matrix3x3_transform ()

    void
    go_matrix3x3_transform (GOMatrix3x3 *mat,
                            double xo,
                            double yo,
                            double zo,
                            double *x,
                            double *y,
                            double *z);